commit 2f7c428814999b07bc4b53cc9f56712f0eb9190a
Author: Panagiotis Kanavos <pkanavos@gmail.com>
Date:   Fri Feb 24 19:26:21 2012 +0200

    Modified balloon to allow scaling. Closes #2082

diff --git a/trunk/Pithos.Client.WPF/Shell/PithosBalloon.xaml b/trunk/Pithos.Client.WPF/Shell/PithosBalloon.xaml
index 50dacf7..c322881 100644
--- a/trunk/Pithos.Client.WPF/Shell/PithosBalloon.xaml
+++ b/trunk/Pithos.Client.WPF/Shell/PithosBalloon.xaml
@@ -5,9 +5,8 @@
              xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
              mc:Ignorable="d" 
              xmlns:tb="http://www.hardcodet.net/taskbar"
-             d:DesignHeight="120" d:DesignWidth="240"
-             Height="90"
-             Width="240" xmlns:my="clr-namespace:Pithos.Client.WPF.Shell">
+             Width="250"
+             xmlns:my="clr-namespace:Pithos.Client.WPF.Shell" >
     <UserControl.Resources>
         <Storyboard x:Key="FadeIn">
             <DoubleAnimationUsingKeyFrames BeginTime="00:00:00" Storyboard.TargetName="grid" Storyboard.TargetProperty="(UIElement.Opacity)">
@@ -62,9 +61,18 @@
         </EventTrigger>
     </UserControl.Triggers>
     <Grid x:Name="grid" MouseEnter="grid_MouseEnter">
-        <Border
-        HorizontalAlignment="Stretch"
-        Margin="5,5,5,5"
+        <Grid.ColumnDefinitions>
+            <ColumnDefinition Width="Auto"/>
+            <ColumnDefinition Width="*"/>
+            <ColumnDefinition Width="Auto"/>
+        </Grid.ColumnDefinitions>
+        <Grid.RowDefinitions>
+            <RowDefinition Height="30" MaxHeight="30" />
+            <RowDefinition Height="Auto" MinHeight="50" />
+        </Grid.RowDefinitions>
+        <Border Grid.RowSpan="2" Grid.ColumnSpan="3" Grid.Row="0" Grid.Column="0"
+        HorizontalAlignment="Stretch" 
+        Margin="5"
         BorderThickness="1,1,1,1"
         BorderBrush="#FF379991">
             <Border.Effect>
@@ -83,24 +91,28 @@
                 </LinearGradientBrush>
             </Border.Background>
         </Border>
-        <Image
+        <StackPanel Grid.Column="0" Grid.Row="0" Grid.RowSpan="2" VerticalAlignment="Stretch">
+            <Image 
     HorizontalAlignment="Left"
-    Margin="10,17,0,0"
+    Margin="10,17,10,0"
     Width="48"    
-    Stretch="None" Height="72" VerticalAlignment="Top" 
+    Stretch="None" Height="48" VerticalAlignment="Top" 
             Source="/Images/Info.png"/>
-        
-        <TextBlock
-    Margin="72,41,10,0"
-    VerticalAlignment="Top"
-    Foreground="Black"
-    TextWrapping="Wrap" Text="{Binding Message,FallbackValue='This is the message text'}" Height="36">
+
+
+        </StackPanel>
+        <TextBlock Grid.Row="1" Grid.Column="1" Grid.ColumnSpan="2"
+                    Margin="0,5,10,10"
+                    VerticalAlignment="Top"
+                    Foreground="Black" 
+                    TextWrapping="Wrap" 
+                   Text="{Binding Message,FallbackValue='This is  a  message'}"                    
+                   Width="Auto"   Grid.RowSpan="2">
         </TextBlock>
 
-        <Path
-       Fill="#FFFFFFFF"
+        <Path Grid.Column="1" Fill="#FFFFFFFF"
        Stretch="Fill"
-       Margin="72,34,34,0"
+       Margin="0,34,34,0"
        VerticalAlignment="Top"
        Height="1"
        Data="M26,107 L220.04123,107" SnapsToDevicePixels="True">
@@ -117,7 +129,7 @@
                 </LinearGradientBrush>
             </Path.Stroke>
         </Path>
-        <TextBlock Margin="72,10,10,0" VerticalAlignment="Top" Height="23.2" Text="{Binding Path=Title, FallbackValue='Pithos'}" TextWrapping="Wrap" Foreground="White" FontWeight="Bold"/>
-        <Image HorizontalAlignment="Right" Margin="0,10,10,0" VerticalAlignment="Top" Width="16" Height="16" Source="/Images/Close.png" Stretch="Fill" Opacity="0.7" ToolTip="Close Balloon" x:Name="imgClose" MouseDown="imgClose_MouseDown"/>
+        <TextBlock Grid.Column="1" Grid.ColumnSpan="2" Margin="0,10,10,0" VerticalAlignment="Top" Height="23.2" Text="{Binding Path=Title, FallbackValue='Pithos'}" TextWrapping="Wrap" Foreground="White" FontWeight="Bold"/>
+        <Image Grid.Column="2" HorizontalAlignment="Right" Margin="0,10,10,0" VerticalAlignment="Top" Width="16" Height="16" Source="/Images/Close.png" Stretch="Fill" Opacity="0.7" ToolTip="Close Balloon" x:Name="imgClose" MouseDown="imgClose_MouseDown"/>
     </Grid>
 </UserControl>
